Subject: RE: Controlling the IETF -- Engineers vs. Marketeers and Politeers

From: "Bound, Jim" <[email-masked]>
Date: Mon, 26 May 2003 19:09:58 -0400

This is a key point of discussion.  We should not let bad marketing
interfere with our document classifcations and progressions.  No matter
what set we have to follow someone will abuse it.  Most users I know are
pretty clear on the difference between BCP, Info, PS to IS progression.
The IETF has been around awhile now and those who use the standards are
not stupid.

/jim

> -----Original Message-----
> From: Dave Crocker [mailto:[email-masked]] 
> Sent: Monday, May 26, 2003 1:24 PM
> To: [email-masked]
> Subject: Controlling the IETF -- Engineers vs. Marketeers and 
> Politeers
> 
> 
> Folks,
> 
> The discussion about standards track status highlights a 
> basic source of disparity in quite a few of our discussions 
> about changing the IETF.
> 
> I'm finding myself labeling this disparity "Who is in charge 
> of the IETF?"
> 
> Historically, the IETF has done exceptionally well when it 
> focuses on the "E".  When we act like engineers who are 
> concerned with engineering quality and core utility, we do great.
> 
> When we wander into the territories of sociology, marketing 
> or politics, we do very badly.
> 
> Input from those three areas can be useful.  But there is a 
> difference between treating those considerations as "input" 
> and treating them as "critical concerns that must determine 
> strategic decisions".
> 
> There is always someone, somewhere who will abuse our work in 
> some fashion.  They will tout an I-D as being under IETF 
> consideration; they will tout an Informational RFC as an IETF 
> standard, they will pressure the IETF to use small key sizes; 
> etc., etc.
> 
> We must not let these people control the IETF.
> 
> We need to make sure that the meaning of I-D status is clear 
> and is applied correctly.  The same for Informational.  We 
> need to make sure that we choose key sizes that ensure the 
> ability to provide the level of protection that is needed.  Etc. Etc.
> 
> These are engineering factors and they are what we have 
> historically done well.
> 
> When we make strategic decisions because someone, somewhere 
> has distorted things, we cease to be engineers.  We pretend 
> to be politicians, marketeers and sociologists.
> 
> Let's keep control of our work WITHIN the group doing the 
> work, namely the iEtf.
> 
> Let's discuss changes to the IETF that pertain to doing 
> better engineering. That means focusing on engineering design 
> quality and the utility of our specifications. It means 
> focusing on deployment and use.
> 
> It does not mean trying to react to "social" abuses and it 
> does not mean trying to anticipate them.
> 
> We have management and quality problems.  Let's fix them.
> 
> But let's not be distracted by the folks outside the world of 
> IETF development and implementation.
> 
> 
> d/
> --
>  Dave Crocker <mailto:[email-masked]>
>  Brandenburg InternetWorking <http://www.brandenburg.com>  
> Sunnyvale, CA  USA <tel:+1.408.246.8253>, <fax:+1.866.358.5301>
> 
>